//////////////////////////////////////////////////////////////////
//                                                             
// Copyright (C) 2010 Pulse Logic                       
//                    info@pulselogic.com.pl                   
//                                                             
// This source file may be used and distributed without        
// restriction provided that this copyright statement is not   
// removed from the file and that any derivative work contains 
// the original copyright notice and the associated disclaimer.
//                                                             
//     THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY     
// EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED   
// TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS   
// FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE AUTHOR      
// OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,         
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES    
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE   
// GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR        
// BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF  
// LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR TORT  
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT  
// OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE         
// POSSIBILITY OF SUCH DAMAGE.                                 
//                                                             
//////////////////////////////////////////////////////////////////
//
// Title       : AHBBusSystem_tb
// Design      : AHB Testbench
// Company     : Pulse Logic
//
//////////////////////////////////////////////////////////////////
//
// File        : AHBBusSystem_tb.v
// File Type   : Behavioral
// Tool        : Xilinx WebPack
//
//////////////////////////////////////////////////////////////////
//
// Description : Top Level testbench module.
//	
//////////////////////////////////////////////////////////////////

`timescale 1ps / 1ps 

module AHBBusSystem_tb;
	
//Parameters declaration: 
parameter P_MASTERS_NUM = 2;	//Number of masters in the system
parameter P_SLAVES_NUM = 2;		//Number of slaves in the system excluding dummy slave.

defparam UUT.P_MASTERS_NUM = 2;
defparam UUT.P_SLAVES_NUM = 2;

//Internal signals declarations:
reg HCLK;
reg HRESET_N;

// Unit Under Test port map
AHBBusSystem UUT 
	(
	.HCLK(HCLK),
	.HRESET_N(HRESET_N)
	);

//Resetting module.
initial
begin
	#0
	HRESET_N <= 1'b0;
    #500000;
	HRESET_N <= 1'b1;
end

//Clocking module.
always
begin
	HCLK <= 1'b0;
	#50000;
	HCLK <= 1'b1;
	#50000;
end

endmodule
